<template>
  <div class="fix-height-subpage column no-wrap q-pa-md">
    <list-header></list-header>
    <div class="col q-mt-md" :class="{'light-shadow q-pa-md bg-white rounded-border':$q.platform.is.desktop}">
      <list-table></list-table>
    </div>
  </div>
</template>

<script lang="ts">
import useMetaModule from '../../module/meta/metaModule'
import { useI18n } from 'vue-i18n'
import svgIcon from '../../components/global/svg-icon.vue'
import { defineComponent, inject, provide, reactive, ref, toRefs } from 'vue'
import { DirtionmaryHelper } from '../../config/dictionary'
import ListHeader from '../../components/scattered/list/ListHeader.vue'
import ListTable from '../../components/scattered/list/ListTable.vue'
import { date } from 'quasar'
export default defineComponent({
  components: { svgIcon, ListHeader, ListTable },
  setup() {
    const data = reactive({})
    let { setTitle } = useMetaModule()
    const { locale, t } = useI18n()
    const pageTitle = inject(DirtionmaryHelper.PAGE_TITLE_KEY) as any
    pageTitle.value = t('hotel.pageTitle')
    setTitle(pageTitle.value)
    const search = reactive({
        arrivalDate: '',//开始日期
        departureDate: '',//结束日期
        searchroomGroup: [] as Array<ang>,//客房数
        searchHotelIdList: [],
        freeword: '',//地区名字 酒店名字
        freewordType: 1, //类型 1，地区，2-酒店名称
        reviewRatingUpperLimits: '',//最大评分数
        reviewRatingLowerLimits: '',//最小评分数
        searchHotelCategory: [], //酒店分类
        searchHotelFeatures: [], //酒店特征
        searchRoomType: [], //类型的房间
        searchMealType: [], //饮食条件搜索	
        searchMinRate: '', //最小金额
        searchMaxRate: '', //最大金额
    })

    provide(DirtionmaryHelper.HOTEL_QUERY_PARAM, search)

    const menu=inject(DirtionmaryHelper.MENU_KEYS) as any
    menu.value=14
    const methods = {}
    return {
      ...toRefs(data),
      ...methods
    }
  }
})
</script>

<style></style>
